GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "7a7e3080-3cf5-44ac-a7b2-89422752ef15",
"Asset": {
"AssetId": "8c432c7e-7c3d-44ef-9dfb-59852d8db5b7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "1d5b8702-b8ad-4a72-80d7-9b8a0b6c08ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "e0133757-8e31-4913-9fca-8bd1d43b3e67",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "08b8182d-6100-43a3-a35a-ba3290b1172a",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"MeasurementValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "9b19e312-8699-4a0a-a1ce-a420acaaed5a",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"MeasurementValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "450b7492-4883-4c87-9c9f-03cb8f74d022",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "ae1f691f-8a29-485d-8d6b-8f6b6374e657",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1d5b8702-b8ad-4a72-80d7-9b8a0b6c08ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "e0133757-8e31-4913-9fca-8bd1d43b3e67",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "4921ab93-44ef-4636-863e-d936fc73a553",
"Section": {
"FormTypeSectionId": "054e80d9-07ac-435d-8af6-3b06aab93d9d",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "51de0e9e-bc2d-482d-9401-e012409fe5a2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "9434e623-895f-4917-b6ff-172c3a253283",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "5ea8228f-f1d2-4358-9ed2-ea559e4eeb66",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "4921ab93-44ef-4636-863e-d936fc73a553",
"Section": {
"FormTypeSectionId": "054e80d9-07ac-435d-8af6-3b06aab93d9d",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "51de0e9e-bc2d-482d-9401-e012409fe5a2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "9434e623-895f-4917-b6ff-172c3a253283",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "5ea8228f-f1d2-4358-9ed2-ea559e4eeb66",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "935888b6-b6c7-4a22-84e4-9aee9194653c",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-26T11:00:35.0979489-07:00",
"Location": "sample string 1",
"TaskId": "68bfba03-f6da-4748-afe8-3348623a54c0",
"Values": [
{
"FormFieldValueId": "1ef70e09-b56c-4655-ad16-defa892c9198",
"FormId": "f341dc49-22b3-4617-9637-10b5a0a4b8ec",
"FormTypeField": {
"FormTypeFieldId": "4921ab93-44ef-4636-863e-d936fc73a553",
"FormType": {
"FormTypeId": "ae1f691f-8a29-485d-8d6b-8f6b6374e657",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1d5b8702-b8ad-4a72-80d7-9b8a0b6c08ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "e0133757-8e31-4913-9fca-8bd1d43b3e67",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "935888b6-b6c7-4a22-84e4-9aee9194653c",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "054e80d9-07ac-435d-8af6-3b06aab93d9d",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "51de0e9e-bc2d-482d-9401-e012409fe5a2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "9434e623-895f-4917-b6ff-172c3a253283",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "5ea8228f-f1d2-4358-9ed2-ea559e4eeb66",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "1ef70e09-b56c-4655-ad16-defa892c9198",
"FormId": "f341dc49-22b3-4617-9637-10b5a0a4b8ec",
"FormTypeField": {
"FormTypeFieldId": "4921ab93-44ef-4636-863e-d936fc73a553",
"FormType": {
"FormTypeId": "ae1f691f-8a29-485d-8d6b-8f6b6374e657",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1d5b8702-b8ad-4a72-80d7-9b8a0b6c08ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "e0133757-8e31-4913-9fca-8bd1d43b3e67",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "935888b6-b6c7-4a22-84e4-9aee9194653c",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "054e80d9-07ac-435d-8af6-3b06aab93d9d",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "51de0e9e-bc2d-482d-9401-e012409fe5a2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "9434e623-895f-4917-b6ff-172c3a253283",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "5ea8228f-f1d2-4358-9ed2-ea559e4eeb66",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "cc89f2b6-8091-4164-8527-b85ab8a10dd3",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "7a7e3080-3cf5-44ac-a7b2-89422752ef15",
"Asset": {
"AssetId": "8c432c7e-7c3d-44ef-9dfb-59852d8db5b7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "1d5b8702-b8ad-4a72-80d7-9b8a0b6c08ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "e0133757-8e31-4913-9fca-8bd1d43b3e67",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "08b8182d-6100-43a3-a35a-ba3290b1172a",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"MeasurementValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "9b19e312-8699-4a0a-a1ce-a420acaaed5a",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"MeasurementValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "450b7492-4883-4c87-9c9f-03cb8f74d022",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "ae1f691f-8a29-485d-8d6b-8f6b6374e657",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1d5b8702-b8ad-4a72-80d7-9b8a0b6c08ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "e0133757-8e31-4913-9fca-8bd1d43b3e67",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "4921ab93-44ef-4636-863e-d936fc73a553",
"Section": {
"FormTypeSectionId": "054e80d9-07ac-435d-8af6-3b06aab93d9d",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "51de0e9e-bc2d-482d-9401-e012409fe5a2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "9434e623-895f-4917-b6ff-172c3a253283",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "5ea8228f-f1d2-4358-9ed2-ea559e4eeb66",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "4921ab93-44ef-4636-863e-d936fc73a553",
"Section": {
"FormTypeSectionId": "054e80d9-07ac-435d-8af6-3b06aab93d9d",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "51de0e9e-bc2d-482d-9401-e012409fe5a2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "9434e623-895f-4917-b6ff-172c3a253283",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "5ea8228f-f1d2-4358-9ed2-ea559e4eeb66",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "935888b6-b6c7-4a22-84e4-9aee9194653c",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-26T11:00:35.0979489-07:00",
"Location": "sample string 1",
"TaskId": "68bfba03-f6da-4748-afe8-3348623a54c0",
"Values": [
{
"FormFieldValueId": "1ef70e09-b56c-4655-ad16-defa892c9198",
"FormId": "f341dc49-22b3-4617-9637-10b5a0a4b8ec",
"FormTypeField": {
"FormTypeFieldId": "4921ab93-44ef-4636-863e-d936fc73a553",
"FormType": {
"FormTypeId": "ae1f691f-8a29-485d-8d6b-8f6b6374e657",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1d5b8702-b8ad-4a72-80d7-9b8a0b6c08ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "e0133757-8e31-4913-9fca-8bd1d43b3e67",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "935888b6-b6c7-4a22-84e4-9aee9194653c",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "054e80d9-07ac-435d-8af6-3b06aab93d9d",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "51de0e9e-bc2d-482d-9401-e012409fe5a2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "9434e623-895f-4917-b6ff-172c3a253283",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "5ea8228f-f1d2-4358-9ed2-ea559e4eeb66",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "1ef70e09-b56c-4655-ad16-defa892c9198",
"FormId": "f341dc49-22b3-4617-9637-10b5a0a4b8ec",
"FormTypeField": {
"FormTypeFieldId": "4921ab93-44ef-4636-863e-d936fc73a553",
"FormType": {
"FormTypeId": "ae1f691f-8a29-485d-8d6b-8f6b6374e657",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1d5b8702-b8ad-4a72-80d7-9b8a0b6c08ec",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "e0133757-8e31-4913-9fca-8bd1d43b3e67",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-26T11:00:35.0979489-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "935888b6-b6c7-4a22-84e4-9aee9194653c",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "054e80d9-07ac-435d-8af6-3b06aab93d9d",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "51de0e9e-bc2d-482d-9401-e012409fe5a2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "9434e623-895f-4917-b6ff-172c3a253283",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "5ea8228f-f1d2-4358-9ed2-ea559e4eeb66",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "0be406c0-d34f-43a7-9375-89a05056c719",
"FieldId": "92e045a6-287b-4029-beef-b87a64cb9667",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "cc89f2b6-8091-4164-8527-b85ab8a10dd3",
"CreateDate": "2026-10-26T11:00:35.0979489-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-26T11:00:35.0979489-07:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}